commit 8b4057dfd4929f7a201865c3f2af2509285233af
Author: freddy77 <freddy77>
Date:   Wed Jan 23 08:50:15 2008 +0000

    portability fixes for win64

diff --git b/ChangeLog a/ChangeLog
index 92f275a..5fda0d4 100644
--- b/ChangeLog
+++ a/ChangeLog
@@ -1,9 +1,3 @@
-Wed Jan 23  9:48:19 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
-	* configure.ac include/tds_sysdep_public.h.in:
-	* src/ctlib/unittests/cancel.c src/dblib/unittests/timeout.c:
-	* win32/tds_sysdep_public.h win32/winlogin.c win32/winsetup.c:
-	- backport portability fixes for win64
-
 Sun Jan 13 21:38:02 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/odbc.c: backported cancel error set
 
@@ -60,4 +54,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2454.2.12 2008/01/23 08:50:15 freddy77 Exp $
+$Id: ChangeLog,v 1.2454.2.11 2008/01/13 20:39:27 freddy77 Exp $
diff --git b/configure.ac a/configure.ac
index b8eef11..f4d877a 100644
--- b/configure.ac
+++ a/configure.ac
@@ -1,7 +1,7 @@
 dnl Process this file with autoconf to produce a configure script.
 
 dnl ------------------------------------------------------------
-dnl $Id: configure.ac,v 1.29.2.5 2008/01/23 08:50:16 freddy77 Exp $
+dnl $Id: configure.ac,v 1.29.2.4 2008/01/13 20:37:59 freddy77 Exp $
 dnl If you're trying to create a new configure test, try
 dnl
 dnl 	http://autogen.sourceforge.net/conftest.html
@@ -15,7 +15,7 @@ dnl ------------------------------------------------------------
 AC_INIT(FreeTDS, 0.82RC2)
 AC_CONFIG_SRCDIR(src/dblib/dblib.c)
 AC_PREREQ(2.53)
-AC_REVISION($Revision: 1.29.2.5 $)
+AC_REVISION($Revision: 1.29.2.4 $)
 
 AM_INIT_AUTOMAKE
 AC_CONFIG_HEADERS(include/config.h)
@@ -142,9 +142,7 @@ tds_mingw=no
 case $host in
 *-*-mingw*)
 	tds_mingw=yes
-	if test "$host_cpu" = "x86_64"; then
-		LIBS="-lws2_32"
-	elif test -r /usr/lib/w32api/libwsock32.a; then
+	if test -r /usr/lib/w32api/libwsock32.a; then
 		LIBS="-L/usr/lib/w32api -lwsock32"
 	else
 		LIBS="-lwsock32"
@@ -383,7 +381,7 @@ TDS_NULL_IS_ZERO
 AC_CHECK_FUNCS([vsnprintf _vsnprintf gettimeofday \
 nl_langinfo locale_charset setenv putenv \
 getuid getpwuid getpwuid_r fstat alarm fork \
-gethrtime localtime_r setitimer])
+gethrtime localtime_r])
 OLD_LIBS="$LIBS"
 LIBS="$LIBS $NETWORK_LIBS"
 AC_CHECK_FUNCS([inet_ntoa_r getipnodebyaddr getipnodebyname \
diff --git b/include/tds_sysdep_public.h.in a/include/tds_sysdep_public.h.in
index 6e78da6..4ab78fb 100644
--- b/include/tds_sysdep_public.h.in
+++ a/include/tds_sysdep_public.h.in
@@ -20,7 +20,7 @@
 #ifndef _tds_sysdep_public_h_
 #define _tds_sysdep_public_h_
 
-/* $Id: tds_sysdep_public.h.in,v 1.11.2.1 2008/01/23 08:50:16 freddy77 Exp $ */
+/* $Id: tds_sysdep_public.h.in,v 1.11 2006/04/12 13:54:10 freddy77 Exp $ */
 
 #ifdef __cplusplus
 extern "C"
@@ -37,11 +37,7 @@ extern "C"
 #define tds_sysdep_int64_type __int64	/* 64-bit int */
 #define tds_sysdep_real32_type float	/* 32-bit real */
 #define tds_sysdep_real64_type double	/* 64-bit real */
-#if !defined(WIN64) && !defined(_WIN64)
-#define tds_sysdep_intptr_type int      /* 32-bit int */
-#else
-#define tds_sysdep_intptr_type __int64  /* 64-bit int */
-#endif
+#define tds_sysdep_intptr_type int	/* 32-bit int */
 #endif				/* defined(WIN32) || defined(_WIN32) || defined(__WIN32__) */
 
 #ifndef tds_sysdep_int16_type
diff --git b/src/ctlib/unittests/cancel.c a/src/ctlib/unittests/cancel.c
index c1767ec..09f3a1a 100644
--- b/src/ctlib/unittests/cancel.c
+++ a/src/ctlib/unittests/cancel.c
@@ -10,10 +10,10 @@
 #include <ctpublic.h>
 #include "common.h"
 
-static char software_version[] = "$Id: cancel.c,v 1.11.2.1 2008/01/23 08:50:16 freddy77 Exp $";
+static char software_version[] = "$Id: cancel.c,v 1.11 2006/06/15 12:17:47 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
-#if defined(HAVE_ALARM) && defined(HAVE_SETITIMER)
+#ifdef HAVE_ALARM
 
 /* protos */
 int do_fetch(CS_COMMAND * cmd, int *cnt);
diff --git b/src/dblib/unittests/timeout.c a/src/dblib/unittests/timeout.c
index a3ef6f4..736f968 100644
--- b/src/dblib/unittests/timeout.c
+++ a/src/dblib/unittests/timeout.c
@@ -7,7 +7,7 @@
 #include "common.h"
 #include <time.h>
 
-static char software_version[] = "$Id: timeout.c,v 1.3.2.1 2008/01/23 08:50:16 freddy77 Exp $";
+static char software_version[] = "$Id: timeout.c,v 1.3 2007/12/04 02:06:38 jklowden Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int ntimeouts = 0, ncancels = 0;
@@ -29,7 +29,7 @@ timeout_err_handler(DBPROCESS * dbproc, int severity, int dberr, int oserr, char
 		return INT_CANCEL;
 		
 	if (dberr == SYBETIME) {
-		fprintf(stderr, "%d timeouts received in %ld seconds, ", ++ntimeouts, (long int) (time(NULL) - start_time));
+		fprintf(stderr, "%d timeouts received in %ld seconds, ", ++ntimeouts, time(NULL) - start_time);
 		if (ntimeouts > max_timeouts) {
 			if (++ncancels > 1) {
 				fprintf(stderr, "could not timeout cleanly, breaking connection\n");
@@ -73,14 +73,14 @@ timeout_err_handler(DBPROCESS * dbproc, int severity, int dberr, int oserr, char
 int 
 chkintr(DBPROCESS * dbproc)
 {
-	printf("in chkintr, %ld seconds elapsed\n", (long int) (time(NULL) - start_time));
+	printf("in chkintr, %ld seconds elapsed\n", time(NULL) - start_time);
 	return FALSE;
 }
 
 int 
 hndlintr(DBPROCESS * dbproc)
 {
-	printf("in hndlintr, %ld seconds elapsed\n", (long int) (time(NULL) - start_time));
+	printf("in hndlintr, %ld seconds elapsed\n", time(NULL) - start_time);
 	return INT_CONTINUE;
 }
 
diff --git b/win32/tds_sysdep_public.h a/win32/tds_sysdep_public.h
index 9d7f815..048c409 100644
--- b/win32/tds_sysdep_public.h
+++ a/win32/tds_sysdep_public.h
@@ -20,7 +20,7 @@
 #ifndef _tds_sysdep_public_h_
 #define _tds_sysdep_public_h_
 
-static char rcsid_tds_sysdep_public_h[] = "$Id: tds_sysdep_public.h,v 1.5.6.1 2008/01/23 08:50:17 freddy77 Exp $";
+static char rcsid_tds_sysdep_public_h[] = "$Id: tds_sysdep_public.h,v 1.5 2004/02/03 19:28:12 jklowden Exp $";
 static void *no_unused_tds_sysdep_public_h_warn[] = { rcsid_tds_sysdep_public_h, no_unused_tds_sysdep_public_h_warn };
 
 #ifdef __cplusplus
@@ -34,23 +34,12 @@ extern "C"
 #define tds_sysdep_int64_type __int64	/* 64-bit int */
 #define tds_sysdep_real32_type float	/* 32-bit real */
 #define tds_sysdep_real64_type double	/* 64-bit real */
-#if !defined(WIN64) && !defined(_WIN64)
 #define tds_sysdep_intptr_type int	/* 32-bit int */
-#else
-#define tds_sysdep_intptr_type __int64	/* 64-bit int */
-#endif
 typedef SOCKET TDS_SYS_SOCKET;
 #ifndef TDS_IS_SOCKET_INVALID
 #define TDS_IS_SOCKET_INVALID(s) ((s) == INVALID_SOCKET)
 #endif
 
-#if !defined(MSDBLIB) && !defined(SYBDBLIB)
-#define SYBDBLIB 1
-#endif
-#if defined(MSDBLIB) && defined(SYBDBLIB)
-#error MSDBLIB and SYBDBLIB cannot both be defined
-#endif
-
 #ifdef __cplusplus
 }
 #endif
diff --git b/win32/winlogin.c a/win32/winlogin.c
index 9e5969d..4a2c2aa 100644
--- b/win32/winlogin.c
+++ a/win32/winlogin.c
@@ -88,14 +88,6 @@ get_desktop_file(const char *file)
 	return res;
 }
 
-#ifndef WIN64
-#define GetWindowUserData(wnd)       GetWindowLong((wnd), GWL_USERDATA)
-#define SetWindowUserData(wnd, data) SetWindowLong((wnd), GWL_USERDATA, (data))
-#else
-#define GetWindowUserData(wnd)       GetWindowLongPtr((wnd), GWLP_USERDATA)
-#define SetWindowUserData(wnd, data) SetWindowLongPtr((wnd), GWLP_USERDATA, (data))
-#endif
-
 /**
  * Callback function for the DSN Configuration dialog 
  * \param hDlg identifies the dialog
@@ -115,7 +107,7 @@ LoginDlgProc(HWND hDlg, UINT message, WPARAM wParam,	/* */
 	case WM_INITDIALOG:
 		/* lParam points to the TDSCONNECTION */
 		connection = (TDSCONNECTION *) lParam;
-		SetWindowUserData(hDlg, lParam);
+		SetWindowLong(hDlg, GWL_USERDATA, lParam);
 
 		/* copy info from TDSCONNECTION to the dialog */
 		SendDlgItemMessage(hDlg, IDC_LOGINSERVER, WM_SETTEXT, 0, (LPARAM) tds_dstr_cstr(&connection->server_name));
@@ -130,7 +122,7 @@ LoginDlgProc(HWND hDlg, UINT message, WPARAM wParam,	/* */
 
 	case WM_COMMAND:
 		/* Dialog's user data points to TDSCONNECTION */
-		connection = (TDSCONNECTION *) GetWindowUserData(hDlg);
+		connection = (TDSCONNECTION *) GetWindowLong(hDlg, GWL_USERDATA);
 
 		/* The wParam indicates which button was pressed */
 		if (LOWORD(wParam) == IDCANCEL) {
diff --git b/win32/winsetup.c a/win32/winsetup.c
index e33dc76..20585f0 100644
--- b/win32/winsetup.c
+++ a/win32/winsetup.c
@@ -192,13 +192,6 @@ validate(DSNINFO * di)
 	return NULL;
 }
 
-#ifndef WIN64
-#define GetWindowUserData(wnd)       GetWindowLong((wnd), GWL_USERDATA)
-#define SetWindowUserData(wnd, data) SetWindowLong((wnd), GWL_USERDATA, (data))
-#else
-#define GetWindowUserData(wnd)       GetWindowLongPtr((wnd), GWLP_USERDATA)
-#define SetWindowUserData(wnd, data) SetWindowLongPtr((wnd), GWLP_USERDATA, (data))
-#endif
 
 /** 
  * Callback function for the DSN Configuration dialog
@@ -223,7 +216,7 @@ DSNDlgProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam)
 	case WM_INITDIALOG:
 		/* lParam points to the DSNINFO */
 		di = (DSNINFO *) lParam;
-		SetWindowUserData(hDlg, lParam);
+		SetWindowLong(hDlg, GWL_USERDATA, lParam);
 
 		/* Stuff legal protocol names into IDC_PROTOCOL */
 		for (i = 0; protocols[i]; i++) {
@@ -243,7 +236,7 @@ DSNDlgProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam)
 
 	case WM_COMMAND:
 		/* Dialog's user data points to DSNINFO */
-		di = (DSNINFO *) GetWindowUserData(hDlg);
+		di = (DSNINFO *) GetWindowLong(hDlg, GWL_USERDATA);
 
 		/* The wParam indicates which button was pressed */
 		if (LOWORD(wParam) == IDCANCEL) {

